#{extends 'border.html'/}

<div class="container">

	<!-- Breadcrumb -->
	<ol class="breadcrumb">
		<li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
		<li class="active">&{'tambah.label'} &{'produk.label'}</li>
	</ol>
	<!-- End Breadcrumb -->

	<div class="padded">
		<div id="rootwizard">
			<div class="navbar">
				<div class="navbar-inner">
					<div class="container">
						<ul>
							<li><a href="#tab1" data-toggle="tab">&{'data_produk.label'}</a></li>
							<li><a href="#tab2" data-toggle="tab">&{'unspsc.label'}</a></li>
							<li><a href="#tab3" data-toggle="tab">&{'spesifikasi_produk.label'}</a></li>
							<li><a href="#tab4" data-toggle="tab">&{'wilayah_jual.label'}</a></li>
							<li><a href="#tab5" data-toggle="tab">&{'harga_produk.label'}</a></li>
							<li><a href="#tab6" data-toggle="tab">&{'selesai.label'}</a></li>
						</ul>
					</div>
				</div>
			</div>
			<div id="bar" class="progress">
				<div class="progress-bar" role="progressbar" aria-valuenow="0"
					aria-valuemin="0" aria-valuemax="100" style="width: 0%;"></div>
			</div>
			#{form @katalog.ProdukCtr.createSubmit(), method:'POST',
			class:'form-horizontal'}
                <input type="hidden" id="pnwId" name="produk.penawaran_id" value="${produk.penawaran_id}"/>
			<div class="tab-content">
				<div class="tab-pane active" id="tab1">#{include
					'pl/wizard-produk-edit/tab-dataproduk.html'/}</div>
				<div class="tab-pane" id="tab2">#{include
					'pl/wizard-produk-edit/tab-unspsc.html'/}</div>
				<div class="tab-pane" id="tab3">#{include
					'pl/wizard-produk-edit/tab-spesifikasiproduk.html'/}</div>
				<div class="tab-pane" id="tab4">#{include
					'pl/wizard-produk-edit/tab-wilayahjual.html'/}</div>
				<div class="tab-pane" id="tab5">#{include
					'pl/wizard-produk-edit/tab-uploadhargaproduk.html'/}</div>
				<div class="tab-pane" id="tab6">#{include
					'pl/wizard-produk-edit/tab-selesai.html'/}</div>
				<ul class="pager wizard">
					<li class="previous first" style="display: none;"><a href="#">&{'pertama.label'}</a></li>
					<li class="previous"><a href="#">&{'sebelumnya.label'}</a></li>
					<li class="next last" style="display: none;"><a href="#">&{'terakhir.label'}</a></li>
					<li class="next"><a href="#">&{'berikutnya.label'}</a></li>
				</ul>
			</div>
			#{/form}
		</div>
	</div>

</div>

#{set 'moreScripts'}
<script type="text/javascript">
    var params = {};
    params['validasiNamaNoProd'] = '@{katalog.ProdukCtr.validasiProduk()}';

    var have_child = false;
    var current_last_level = 1;

	$(document).ready(function() {
		$('#rootwizard').bootstrapWizard({
			onTabShow : function(tab, navigation, index) {
				var $total = navigation.find('li').length;
				var $current = index + 1;
				var $percent = ($current / $total) * 100;
				$('#rootwizard .progress-bar').css({
					width : $percent + '%'
				});
			},
			onTabClick: function(tab, navigation, index) {
				alert('on tab click disabled');
				return false;
			}
		});

        var v1 = $('input[name="produk.nama_produk"]');
        var v2 = $('input[name="produk.no_produk_penyedia"]');
        function cekVal1Val2(){
            if(v1.val() != null || v2.val() != null ){
                validateOnServer2(v1,v2);
            }
        }
        v1.blur(function(){
            cekVal1Val2();
        });

        v2.blur(function(){
            cekVal1Val2();
        });

        $("#namaProduk").blur(function () {
            $('#loadingName').show();
        });

        $("#inpNmr").blur(function () {
            $('#loadingNo').show();
        });

        function validateOnServer2(v1,v2){
            //data.override = true;
            var nama = $('input[name="produk.nama_produk"]').val();
            var noprod = $('input[name="produk.no_produk_penyedia"]').val();
            var penawaranIds = $("#pnwId").val();
            var urls = params.validasiNamaNoProd+'?id='+params.ids+'&nama='+nama+'&noprodukp='+noprod+'&pid='+penawaranIds;

            if( nama != null && noprod != null){
                $.ajax({
                    type: 'GET',
                    url: urls,
                    success : function(datas){
                        //alert('fromserver:'+datas.valid);
                        //asep: overide = true
                        //mengindikasikan, status kedepannya akan di overiide tidak ketika akan return
                        $('#alert-upload').hide();
                        if(!datas.valid){//if notvalid
                            showAlert(true, datas.message);
                            var nama1 = "Nama Produk";
                            var nmr1 = "No Produk";
                            if(datas.message.indexOf(nama1) != -1){
                                v1.val(null);
                            }
                            if(datas.message.indexOf(nmr1) != -1){
                                v2.val(null);
                            }

                            $('#loadingName').hide();
                            $('#loadingNo').hide();
                        }else{
                            showAlert(false, '');
                            $('#loadingName').hide();
                            $('#loadingNo').hide();
                        }
                        return !datas.valid;
                    },
                    error : function(){
                        $('#alert-upload').html('<div class="alert alert-danger" role="alert">gagal validasi Nama Produk dan No. Produk Penyedia</div>');
                        $('#loadingName').hide();
                    }
                })
            }
        }

		// kelas harga
        var kelasHarga = '${komoditas.kelas_harga}';
        if(kelasHarga == 'kabupaten' || kelasHarga == 'provinsi'){
            $.ajax({
                type:'GET',
                url:'@{controllers.katalog.ProdukCtr.getProvOrKab()}',
                dataType:'json',
                success:function(data){
                    if(kelasHarga == 'kabupaten'){
                        var tableHead =
                                "<thead>" +
                                "<th>" +
                                "<input type='checkbox' class='checkall'>" +
                                "</th>" +
                                "<th>Nama Kota/Kabupaten" +
                                "</th>" +
                                "</thead><tbody>";
                        var content;
                        $.each(data, function(index, prov){
                            content += "<tr><td colspan='2'>"+ prov.nama_provinsi +"</td></tr>";
                            $.each(prov.kabupatens, function(index, kab){
                                content += "<tr><td><input type='checkbox' class='wilJualItems' name='wilayah_jual' " +
                                        "value='"+ kab.id +"' kabName='"+kab.nama_kabupaten+"' " +
                                        "provName='"+prov.nama_provinsi+"'></td><td>"+
                                        kab.nama_kabupaten +"</td></tr>";
                            });
                        });

                        var tableEnd = "</tbody>";
                        $("#tableWiljual").append(tableHead + content + tableHead);

                    } else {
                        var tableHead =
                                "<thead>" +
                                "<th>" +
                                "<input type='checkbox' class='checkall'>" +
                                "</th>" +
                                "<th>Nama Provinsi" +
                                "</th>" +
                                "</thead><tbody>";
                        var content;
                        $.each(data, function(index, prov){
                            content += "<tr><td><input type='checkbox' class='wilJualItems' name='wilayah_jual' " +
                                    "value='"+ prov.id +"' provName='"+prov.nama_provinsi+"'></td>" +
                                    "<td>"+ prov.nama_provinsi +"</td></tr>";
                        });

                        var tableEnd = "</tbody>";
                        $("#tableWiljual").html("");
                        $("#tableWiljual").append(tableHead + content + tableHead);
                    }
                }
            });
        }
	});

    $("body").on("change", ".pilih_kategori", function () {
        alert("tes");
        var value = $(this).val();
        var level = $(this).attr("level");

        $("#kategori_id").val(value);

        $.ajax({
            url: "@{katalog.ProdukCtr.getProdukKategoriByParent()}",
            type: "post",
            dataType: "json",
            data: {
                value: value
            },
            success: function (data) {
                if(data.length > 0){
                    generateDropDown(data,level);
                    have_child = true;
                }else{
                    have_child = false;
                }

            }
        });

        $.ajax({
            url: "@{katalog.ProdukCtr.getKetagoriAtributByKatId()}",
            type: "post",
            dataType: "json",
            data: {
                kategori_id: value
            },
            success: function (data) {
                if(data.length > 0){
                    var content="";
                    $.each(data, function(idx, formAtr){
                        if(formAtr.tipe_input == "label"){
                            content += "<div class='panel panel-default'>" +
                                    "<div class='panel-heading'><span>"+formAtr.label_atribut+"</span></div>" +
                                    "<div class='panel-body'>";
                            $.each(data, function (index, child) {
                                if(child.parent_id === formAtr.id){
                                    var required = (child.wajib_diisi == 1) ? true : false;
                                    var lblRequired = (child.wajib_diisi == 1) ? 'required' : '';
                                    //var name = child.label_atribut.replace(/\W+/g, "_");
                                    var idKat = parseInt(child.id);
                                    content += "<div class='form-group " + lblRequired + "'><label class='col-sm-2 control-label'>"+
                                            formAtr.label_atribut+"</label>" +
                                            "<div class='col-sm-4'><input type='"+child.tipe_input+"' " +
                                            "required='"+required+"' class='form-control' " +
                                            "name='infoTambahan' placeholder='"+child.label_atribut+"'/>" +
                                            "<input type='hidden' name='infoTambahanId' value='"+idKat+"'/></div></div>";
                                }
                            });
                            content += "</div></div>";
                        }
                    });
                    $.each(data, function(idx, formAtr){
                        if(formAtr.tipe_input == "textarea" && formAtr.parent_id == 0) {
                            var required = (formAtr.wajib_diisi == 1) ? true : false;
                            var lblRequired = (formAtr.wajib_diisi == 1) ? 'required' : '';
//                            var name = formAtr.label_atribut.replace(/\W+/g, "_");
                            var idKat = parseInt(formAtr.id);
                            content += "<div class='form-group " + lblRequired + "'><label class='col-sm-2 control-label'>"+
                                    formAtr.label_atribut+"</label>" +
                                    "<div class='col-sm-4'><"+formAtr.tipe_input+" required='"+required+"' " +
                                    "class='form-control' " +
                                    "name='infoTambahan' placeholder='"+formAtr.label_atribut+"'/>" +
                                    "<input type='hidden' name='infoTambahanId' value='"+idKat+"'/></div></div>";
                        } else if(formAtr.parent_id == 0 && formAtr.tipe_input != "label") {
                            var required = (formAtr.wajib_diisi == 1) ? true : false;
                            var lblRequired = (formAtr.wajib_diisi == 1) ? 'required' : '';
//                            var name = formAtr.label_atribut.replace(/\W+/g, "_");
                            var idKat = parseInt(formAtr.id);
                            content += "<div class='form-group " + lblRequired + "'><label class='col-sm-2 control-label'>"+
                                    formAtr.label_atribut+"</label>" +
                                    "<div class='col-sm-4'><input type='"+formAtr.tipe_input+"' " +
                                    "required='"+required+"' class='form-control' " +
                                    "name='infoTambahan' placeholder='"+formAtr.label_atribut+"'/>" +
                                    "<input type='hidden' name='infoTambahanId' value='"+idKat+"'/></div></div>";
                        }

                    });
                    $("#dynamic-content").html("");
                    $("#dynamic-content").append(content);
                }
            }
        });

    });

    function generateDropDown(data,level){
        var next_level = parseInt(level) + 1;

        if(level == current_last_level){
            current_last_level = next_level;
        }

        var html = "<option>Pilih Sub-Kategori </option>";
        for ( var key in data) {
            var obj = data[key];
            html += "<option value='"+obj["id"]+"'>"+obj["nama_kategori"]+"</option>";
        }

        for(var i = next_level; i <= current_last_level; i++){
            $("#level"+i).select2('destroy');
            $("#level"+i).remove();
        }

        // create new element
        html = "<select level='"+next_level+"' class='form-control pilih_kategori' id='level"+next_level+"'>" + html + "</select>";
        $("#form_kategori").append(html);
    }

    $("#tblUnspsc").dataTable({
        ajax: {
            url:'@{DataTableCtr.cariUnspsc()}',
            cache: true},
        order: [[ 1, "asc" ], [ 1, "asc" ]],
        columns: [
            {"searchable": true },
            {"searchable": true},
            {"searchable": true },
            {"searchable": true },
            {"searchable": true},
            {"searchable": false }
        ]
    });

    $("body").on('click', '.addunspsc', function(){
        var value = $(this).attr("unspscid");
        $(".unspsc-id").val(value);
	});

    $("body").on('change', '.checkall', function(){
        var checked = $(this).is(":checked");
        if(checked){
            $(".wilJualItems").prop("checked", true);
		} else {
            $(".wilJualItems").prop("checked", false);
		}
    });

    $(".datepicker").datepicker({
        format: 'dd-mm-yyyy',
        language: 'id'
    });

    $('#dokLabel').change(function () {
        var label = $(this).val();
        if(label){
            $('#fileupload').attr("disabled", false);
        } else {
            $('#fileupload').attr("disabled", true);
        }
    });
    $(document).on('click', '#fileupload', function(){
        // console.log("upload..");
        $('#fileupload').fileupload({
            url: '',
            dataType: 'json',
            acceptFileTypes: /(\.|\/)(txt|doc|docx|xls|xlsx|pdf|gif|jpe?g|png|zip|rar|rtf)$/i,
            done: function (e, data) {
                $.each(data.result.files, function (index, file) {
                    var content = file.file_label + ' - ' + file.name
                            + ' <a href="javascript:void(0)" class="removeDok" versi="'+file.versi+'">' +
                            '<i class="fa fa-trash-o" ></i></a><input type="hidden" name="file_id" value="' + file.id + '">';
                    $('<li/>').html(content).appendTo('#files');
                });
                $('#dokLabel').val('');
                $('#dokLabel').change();
                $('#progress').hide();
                $('#alert-upload').hide();
            },
            progressall: function (e, data) {
                var progress = parseInt(data.loaded / data.total * 100, 10);
                $('#progress').show();
                $('#progress .progress-bar').css(
                        'width',
                        progress + '%'
                );
            }
        }).on('fileuploadprocessalways', function (e, data) {
            var file = data.files[data.index];
            if (data.files.error && file.error) {
                var msg = file.name+' - '+file.error
                $('#alert-upload').attr('class', 'alert alert-danger').html(msg)
            }
        }).prop('disabled', !$.support.fileInput).parent().addClass($.support.fileInput ? undefined : 'disabled');
    });
</script>
#{/set}
